/**
 * This is the main SigmaDeltaADC program file.
 * tested on DEMO - Board
 * electred micro is connected to the ADC - Input
 *
 * clap your hands and the LED (P16) flash for 1/2 sec.
 */
#include "simpletools.h"


// this is the mailbox for Sigma Delta ADC
volatile unsigned int value; 

int start(unsigned int *value)
{

    extern unsigned int binary_sigma_delta_dat_start[];
    
    return cognew(&binary_sigma_delta_dat_start, value);
}

int main(void)
{
	// Sigma Delta ADC
	// start a new COG passing a pointer to the STATIC mailbox structure
 	start(&value);
  DIRA |= 1<<16;

  while(1)
  {
       printf("%8X\n",value);
	    if(value > 300)
	    {
		  //pulse LED if sigma delta value exceeds a limit
		  OUTA |= 1 << 16;
		  pause(500);
		  OUTA &= ~(1 << 16);
	    }
  }

  return 0;
}

